import requests

#adresse du serveur ollama
OLLAMA_URL = "http://217.182.105.173:11434/api/generate"

# Corps de la requête
payload = {
    "model" : "mistral:latest",
    "prompt": "Explique-moi ce qu'et l'intelligence artificielle.",
    "stream": False #réponse d'un seul bloc
}

# Envoi de la requête à ollama
response = requests.post(OLLAMA_URL, json=payload)

# Affichage du résultat
if response.ok:
    print("Réponse de modèle :\n")
    print(response.json()["response"])
else:
    print("Erreur :", response.status_code)
    print(response.text)
